//******************************************************************************
//*   Copyright (C) 2015 K. Vasudevan. Indian Institute of Technology Kanpur.
//*   All Rights Reserved.
//******************************************************************************
// Get the channel.
// Code tested on SCILAB ver 6.0.0.
//******************************************************************************
function[Chan]=Get_MIMO_Flat_Channel()
 Re_Chan=zeros(NUM_RX,NUM_TX);           // Initialize Nr x Nt re. MIMO channel.
 Im_Chan=zeros(NUM_RX,NUM_TX);           // Initialize Nr x Nt im. MIMO channel.
 Re_Chan=grand(Re_Chan,'nor',FADE_MEAN,FADE_STD);                // Re. channel.
 Im_Chan=grand(Im_Chan,'nor',FADE_MEAN,FADE_STD);                // Im. channel.
 Chan=Re_Chan+%i*Im_Chan;                                    // Complex channel.
endfunction
